- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Community.Crypto Collection Docs

# community.crypto.gpg_fingerprint lookup – Retrieve a GPG fingerprint from a GPG public or private key file

Note

This lookup plugin is part of the community.crypto collection (version 2.15.0).

To install it, use: `ansible-galaxy collection install community.crypto`. You need further requirements to be able to use this lookup plugin, see Requirements for details.

To use it in a playbook, specify: `community.crypto.gpg_fingerprint`.

New in community.crypto 2.15.0

## Synopsis

- Takes a list of filenames pointing to GPG public or private key files. Returns the fingerprints for each of these keys.

## Requirements

The below requirements are needed on the local controller node that executes this lookup.

- GnuPG (`gpg` executable)

## Terms

Parameter | Comments
--- | ---
Terms list / elements=path / required | A path to a GPG public or private key.

## See Also

See also

community.crypto.gpg_fingerprint filter plugin

  Retrieve a GPG fingerprint from a GPG public or private key.

## Examples

    - name: Show fingerprint of GPG public key
      ansible.builtin.debug:
        msg: "{{ lookup('community.crypto.gpg_fingerprint', '/path/to/public_key.gpg') }}"

## Return Value

Key | Description
--- | ---
Return value list / elements=string | The fingerprints of the provided public or private GPG keys. The list has one entry for every path provided. Returned: success

### Authors

- Felix Fontein (@felixfontein)

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.

### Collection links

Issue Tracker Repository (Sources) Submit a bug report Request a feature Communication